<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.MANAGE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" /> <!-- fcm 添加以下权限 -->
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="com.google.android.c2dm.permission.RECEIVE" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.REQUEST_DELETE_PACKAGES" />

    <application
        android:name=".MyApplication"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/logo"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/logo"
        android:supportsRtl="true"
        android:theme="@style/Theme.DataRecovery"
        tools:targetApi="34">
        <activity
            android:name=".activity.screenshot.ScreenShotAnimationActivity"
            android:exported="false"
            android:theme="@style/Theme.DataRecovery" />
        <activity
            android:name=".activity.repeat.RepeatAnimationActivity"
            android:exported="false" />
        <activity
            android:name=".activity.SettingActivity"
            android:exported="false" />
        <activity
            android:name=".activity.SplashActivity"
            android:exported="true"
            android:launchMode="singleTask"
            android:theme="@style/splash.theme">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".activity.MainActivity"
            android:exported="false"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".activity.ResultActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".activity.junkclean.ScanJunkActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".activity.junkclean.CleanJunkActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".activity.junkclean.CleaningActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".activity.privacyspace.PrivacyManageActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".activity.repeat.RepeatActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".activity.screenshot.ScreenShotActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" /> <!-- <activity -->
        <!-- android:name=".activity.whatsapp.WhatsAppCleanerActivity" -->
        <!-- android:exported="false" -->
        <!-- android:launchMode="singleTop" -->
        <!-- android:screenOrientation="portrait" -->
        <!-- tools:ignore="DiscouragedApi,LockedOrientationActivity" /> -->
        <!-- <activity -->
        <!-- android:name=".activity.whatsapp.WhatsAppMessageCleanActivity" -->
        <!-- android:exported="false" -->
        <!-- android:launchMode="singleTop" -->
        <!-- android:screenOrientation="portrait" -->
        <!-- tools:ignore="DiscouragedApi,LockedOrientationActivity" /> -->
        <activity
            android:name=".activity.privacyspace.PrivacyPinTwoActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".activity.privacyspace.PrivacyPinOneActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".activity.privacyspace.PrivacyImportActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".activity.privacyspace.PrivacySpaceActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".activity.recovery.FileRecoveredActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".activity.recovery.FileScanResultActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".activity.recovery.FileRecoveryActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".activity.recovery.FileScanActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />

        <meta-data
            android:name="com.google.android.gms.ads.flag.OPTIMIZE_INITIALIZATION"
            android:value="true" />
        <meta-data
            android:name="com.google.android.gms.ads.flag.OPTIMIZE_AD_LOADING"
            android:value="true" />
        <meta-data
            android:name="com.google.android.gms.ads.flag.NATIVE_AD_DEBUGGER_ENABLED"
            android:value="false" /> <!-- 常驻通知栏 -->
        <service
            android:name=".service.StayNotificationService"
            android:permission="android.permission.FOREGROUND_SERVICE" />


        <service
            android:name=".fcm.MessagingService"
            android:exported="true">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>

        <receiver
            android:name=".fcm.CloseNotificationReceiver"
            android:exported="false" />

        <!-- 添加以下接收器 -->
        <!-- 注册广播 -->
        <receiver
            android:name=".fcm.FcmReceiver"
            android:exported="true"
            android:permission="com.google.android.c2dm.permission.SEND">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
                <action android:name="com.google.android.c2dm.intent.RECEIVE" />

                <category android:name="com.test.easy.cleanerjunk" />
            </intent-filter>
        </receiver>

        <meta-data
            android:name="com.google.android.gms.ads.APPLICATION_ID"
            android:value="ca-app-pub-3940256099942544~3347511713" />
        <meta-data
            android:name="com.facebook.sdk.ApplicationId"
            android:value="@string/facebook_app_id" />

    </application>

</manifest>